import { NotificationsService } from './notifications.service';
import { NotificationDto, PaginatedNotificationsDto } from './dto/notification-response.dto';
import { PaginationDto } from '../../common/dto/pagination.dto';
import { AuthenticatedUser } from '../auth/strategies/jwt.strategy';
export declare class NotificationsController {
    private readonly notificationsService;
    constructor(notificationsService: NotificationsService);
    list(user: AuthenticatedUser, query: PaginationDto): Promise<PaginatedNotificationsDto>;
    markRead(id: string, user: AuthenticatedUser): Promise<NotificationDto>;
    markAllRead(user: AuthenticatedUser): Promise<{
        message: string;
        count: number;
    }>;
}
